---
title: 求生之路2安装8人房间插件
date: 2021-09-07 00:00:00
tags: 
  - 游戏
  - 求生之路2
category: 游戏
---

这次又遇到了求生之路需要开多人房间的需求。在原版游戏中，战役模式最多只能四人同时游玩。即使服务器通过后台修改指令，让更多的人进入游戏房间，也只有四人能玩，剩下的玩家都进入旁观者模式。

所以，为了让更多的人同时游玩，不再出现“四人游戏，一人围观”的情况，我将本次安装插件的过程记录下来，方便回顾，顺便帮助更多人。

<!-- more -->

# 注意事项

插件安装后，无法使用VAC启动。即你无法进入带有VAC验证的玩家房间，在你的房间游玩的其他人无法获得成就。

当你不需要使用插件时，在游戏启动选线内启用VAC，就会自动忽略插件，和原版游戏一模一样，无需卸载插件。

# 下载插件

这里采用的是望夜的整合包。自己到插件官网下载核心、安装插件当然是可行的，不过稍微麻烦一点。望夜的整合包包含了插件核心SourceMod和几个实用插件，快速入门相当好用。

**原帖：**https://bbs.3dmgame.com/thread-4920489-1-1.html

原帖需要回复才能下载。这里为了方便一些没有账号的人，提供一份镜像链接：[蓝奏云链接](https://wwa.lanzoui.com/iL3Hjtptpcf)

> 请尽量去原帖下回复并下载，支持原作者！
>
> 此镜像不保证持续更新。

# 安装插件

## 1.复制到游戏目录内

### 解压文件

先将下载的安装包解压，得到以下文件。除去.html后缀的说明书和.png后缀的端口映射图片说明，其他文件都是有用的，**复制**。

![解压后文件](https://os1.eigeen.com/static/2021/09/image-20210907144001632.png)

### 打开游戏所在目录

在Steam库找到求生之路2，右击，选择"属性..."

![](https://os1.eigeen.com/static/2021/09/image-20210907144208816-1.png)

在弹出的窗口内依次点击"本地文件"，"浏览"，即可自动打开游戏目录。

![](https://os1.eigeen.com/static/2021/09/image-20210907144320542-1.png)

### 粘贴文件

将之前复制的文件全部粘贴到游戏根目录下，如图所示。

![](https://os1.eigeen.com/static/2021/09/image-20210907144531559.png)

至此，安装即完成。

## 2.配置

### 选择安装插件

"JSGME.exe"是一个自动插件安装器，免去了手动安装的麻烦。运行程序，在界面中选择所需的插件。

![插件安装器](https://os1.eigeen.com/static/2021/09/image-20210907144925146.png)

若弹出这个警告，点击确定即可。

![忽略警告](https://os1.eigeen.com/static/2021/09/image-20210907145000886-1.png)

### 设置管理员

"L4D2管理员添加工具.exe"用于快速设置管理员。直接运行，点击“添加本机为管理员”。

![管理员添加工具](https://os1.eigeen.com/static/2021/09/image-20210907145139974.png)

输入自己的游戏内名称（即Steam名称）即可。

### 启动选项

在游戏的属性中，为启动选项添加`-insecure`。启用这个选项后，将不再受到VAC保护。若不使用插件，则将此参数删除。

![启动选项设置](https://os1.eigeen.com/static/2021/09/image-20210907145502797.png)

### 修改插件配置文件

每个插件都有自己的配置文件。到`...\Left 4 Dead 2\left4dead2\cfg\sourcemod`目录下查看并编辑相关的配置文件，根据文件内的指示修改即可。

## 3. 安装8人房间mod

进入游戏的创意工坊，搜索“8 slots”关键字，找到此mod，点击订阅。

![安装8人房间插件](https://os1.eigeen.com/static/2021/09/image-20210907145755848.png)

至此，所有配置均已完成。进入游戏享受添加了插件后带来的游戏体验吧。

------

# 附录

## 游戏内指令

### 多人控制

!rhelp 显示插件使用说明

!sinfo 显示服务器人数信息

!jg 或 !joingame 加入游戏

!away 观察者

!ab 或 !addbot 增加一个电脑

!kb 踢除所有bot (只管理员可用)

!sset 设置服务器人数 (只管理员可用)

!bd 绑定键盘 L 键自动输入!joingame

!sp 显示还在加载的玩家

!zs 自杀

### 角色选择

!c 角色选择菜单

!csc 管理员设置某人角色

### 多重补给

!mmn 可随时变更多重补给倍数但不保存至cfg,下次游戏重开还是以cfg设置的为准.

### 功能插件

!rygive

### MVP排名

!mvp 立即显示排名

### 回血插件

!onhx 开启回血

!offhx 关闭回血

### 备弹量

!onammo 开启2倍备弹

!onammo1 开启自定备弹

!onammo2 开启无限备弹

!offammo 恢复默认备弹

!df 开关伤害修正

### 多特插件

2种刷新方式, !on14 和 !on142

!on14(按cfg配置来刷) , !on142 按人数来刷(最少8特) , !addif按人增加特感数 , !off14关 !it 设置多样特感刷新时间

### 开关无限推或自动红外或自动连跳

!ontui 开启无限推

!offtui 关闭无限推

!onhw 开启自动红外

!offhw 关闭自动红外

!onrb 开启按住空格自动连跳

!offrb 关闭按住空格自动连跳

### 反伤控制

AI及投掷,燃烧,爆炸类(榴弹除外)的不反

反伤百分比,0.5=50% 1.0=100% (取值范围0.0-2.0) 默认0.5

开关命令:!onfs !offfs
